/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ## #  ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** TEXT & ICONS ****/

/* WHITE */
.contact-button a,
#nav .dropdown a,
#topfooter .fa-instagram,
#topfooter .fa-facebook-f,
#topfooter .fa-linkedin,
#nav .button,
hr,
h1,
.prev, 
.next,
.teaser i,
button,
.button,
input[type=submit],
#bottomfooter p,
#bottomfooter a {
    color: var(--white);
}

/* RED */
#topfooter .footer-icons a:hover,
#topfooter .fa-phone,
#topfooter .fa-envelope,
#about h2,
a,
.form h4,
#decline,
#popup h3,
#selection,
.menuitem a:hover {
    color: var(--red);
}

/* BLACK */
#topfooter .fa-instagram:hover,
#topfooter .fa-linkedin:hover,
#topfooter .fa-facebook-f:hover,
h2,
h3,
h4,
p,
li i,
#selection,
.menuitem a,
#topfooter p,
#topfooter a {
    color: var(--black);
} 

/* OTHER */
.alert i:nth-of-type(1) {
    color: green;
}

/**** ELEMENT BACKGROUND ****/

/* WHITE */
#topfooter,
body,
.bottommenu nav,
.bottommenu,
#teaserbox .box {
    background: var(--white);    
}

/* GREY */
input,
.teaser,
textarea,
.topmenu,
#teaserbox {
    background: var(--grey);
}

/* RED */
.contact-button a,
#topfooter .fa-instagram:hover,
#topfooter .fa-linkedin:hover,
#topfooter .fa-facebook-f:hover,
.dropdown,
#nav .button,
button:hover,
.button:hover,
.teaser i,
input[type=submit]{
    background: var(--red);
}

/* BLACK */
.contact-button a:hover,
#burgermenu .burger .line,
.dropdown .menuitem a:hover,
#bottomfooter,
#topfooter .fa-instagram,
#topfooter .fa-facebook-f,
#topfooter .fa-linkedin,
#nav .button:hover,
button,
.button {
    background: var(--black);
}

#selection,
#burgermenu,
#decline {
    background: transparent;
}

/* OTHER */
#popup {
    background: #ffffff85;
}

/**** OUTLINE ****/
#decline,
input:focus,
textarea:focus {
    outline: 1px solid var(--red);
}
.button:focus-visible,
button:focus-visible,
input[type="submit"]:focus-visible,
a:focus-visible {
    outline: .2rem solid var(--black);
}

/**** BOX SHADOW ****/
#popup {
    -webkit-backdrop-filter: blur(3rem);
    backdrop-filter: blur(3rem);
    box-shadow: var(--black) 0 0 10rem -4rem;
}

/**** TEXT DECORATION ****/
.menuitem a:hover {
    text-decoration: none;
}
#popup a,
#bottomfooter a {
    text-decoration: underline;
}

/**** TRANSITIONS ****/
nav,
#more,
.all i,
.dropdown,
.menuitem a,
.bottommenu nav,
#selection span {
    transition: all linear 100ms;
}

#burgermenu {
    transition: all linear 200ms;
}

/**** FONTS ****/
* {font-family: verdana, sans-serif;
    font-style: normal;
    font-weight: 400;
}
.contact-button a,
#topfooter h3,
#teaserbox h3,
#about h2,
.bottommenu .menuitem a {
    font-family: verdana, sans-serif;
    font-style: bold;
    font-weight: 600;
}
    
#nav .dropdown a{
    font-family: verdana, sans-serif;
    font-style: bold;
    font-weight: 200;
}


/**** ROOT ****/
:root {
    --white: #FFFFFF;
    --grey: #F0F0F0;
    --red: #bd1c1c; 
    --black: #000000;
}